[SERVICE]
    Daemon       Off
    Parsers_File parsers.conf
    HTTP_Server  On
    HTTP_Listen  0.0.0.0
    HTTP_Port    2020
    storage.path /buffers
    storage.sync normal
    storage.checksum on
    storage.backlog.mem_limit 128M
    # 备注：该镜像默认未开启 Hot Reload，修改配置后请重启容器。

@INCLUDE inputs.d/*.conf

[FILTER]
    Name   parser
    Match  app.*
    Key_Name log
    Parser timestamp_parser
    Reserve_Data On
    Preserve_Key On
    Unescape_Key On

[FILTER]
    Name   record_modifier
    Match  *
    Record cluster  ${CLUSTER}
    Record rack     ${RACK}
    Record host     ${HOSTNAME}

[FILTER]
    Name   lua
    Match  app.*
    script inject_labels.lua
    call   add_labels

@INCLUDE outputs.d/*.conf
